/***************************************************************************
                          setlocks.h  -  description
                             -------------------
    begin                : Thu Nov 8 2001
    copyright            : (C) 2001 by Matt Sabins
    email                : sabinsmh@clarkson.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _SETLOCKS_H_
#define _SETLOCKS_H_

	#include "ltypes.h"

	int construct_pthread_hash(int init_size);
	int add_lock_to_thread(pthread_mutex_t* mutex,pthread_t thread);
	int remove_lock_from_thread(pthread_mutex_t* mutex,pthread_t thread);
	void destroy_pthread_hash();
	lock_node_t* get_current_locks(pthread_t thread);
	
#endif
