/***************************************************************************
                          hash.h  -  description
                             -------------------
    begin                : Thu Nov 8 2001
    copyright            : (C) 2001 by Matt Sabins
    email                : sabinsmh@clarkson.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

/*************************************************************************
	The matrix is the way of storing the lock states of each memory access.
	This header file contains.
	Assumptions, In linux (unlike what I am used to DOS) memory is
	a flat space, aka no segment information needed 32 bit addressing.
*************************************************************************/

#ifndef _HASH_H_
#define _HASH_H_

#include "ltypes.h"

int construct_hash(unsigned int size);
void destroy_hash();
int printtable();
int printsort();
unsigned int getNextPrime(int i);
int add_memory_access(memaddr_t addr, line_type_e type,pthread_t thread);
int dump_memory_locks();

#endif
